Skip to Content

Download Paid Order Details - DownloadListPaidOrders

Overview

Generate a paid order detail Excel file and return a US3 presigned download URL; query conditions are identical to ListPaidOrders, StartTime/EndTime are required; the data range is [StartTime, EndTime), meaning that data whose billing start time is greater than or equal to StartTime and less than EndTime will be retrieved.

Definition

Public Parameters

Parameter NameTypeDescription InformationRequired
ActionstringCorresponding API command name, the current API is DownloadListPaidOrders.Yes
PublicKeystringThe user’s public key can be obtained from Console Yes
SignaturestringUser signature generated based on public key and API command, see Signature AlgorithmYes

Request Parameters

Parameter NameTypeDescription InformationRequired
StartTimeintQuery start time (Unix timestamp, seconds), requiredYes
EndTimeintQuery end time (Unix timestamp, seconds), required; must be greater than StartTimeYes
ResourceIds.NstringResource ID list (optional)No
ModelIds.NstringModel ID list (optional)No
PricingUnits.NintPricing unit list (optional)No
PricingSkus.NstringBilling unit SKU list (optional)No
OrderTypes.NintOrder type list (optional)No
OrganizationIds.NintOrganization ID list (optional)No
Regions.NstringRegion list (optional). See Region and Zone ListNo
ProductCodes.NstringProduct code list (optional). Enum: modelverse, sandboxNo

Response Field

Field NameTypeDescription InformationRequired
RetCodeintReturn status code. If it is 0, it means successful return. If it is not 0, it means failure.Yes
ActionstringOperation command name.Yes
MessagestringReturns an error message, providing detailed description when RetCode is non-zero.No
DataDownloadFileDataDownload file infoNo

Data Model

DownloadFileData

Field NameTypeDescription InformationRequired
DownloadURLstringFile download URL (US3 presigned URL, download promptly within validity period)No
FileNamestringFile nameNo
FileSizeintFile size (bytes)No

Example

Request Example

https://api.surfercloud.com/?Action=DownloadListPaidOrders &Region=cn-zj &Zone=cn-zj-01 &ProjectId=ykStVzQX &ResourceIds.N=ZaUxZUjD &ModelIds.N=XJAeQtEB &PricingUnits.N=8 &OrderTypes.N=2 &StartTime=6 &EndTime=5 &ResourceIds.N=BeExGPAI &ModelIds.N=NhormROX &PricingUnits.N=7 &OrderTypes.N=2 &StartTime=9 &EndTime=3 &PricingSkus.N=mgqbideM &OrganizationIds.N=1 &Regions.N=ubMVnzys &ProductCodes.N=wHjCoFlq

Response Example

{ "Action": "DownloadListPaidOrdersResponse", "Data": {}, "RetCode": 0 }